#This pipeline runs when a merge request is opened, and it runs unit tests and build a Linux application and Android apk

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"

stages:
  - test
  - build

test:
  stage: test
  image: "cirrusci/flutter:1.22.5"
  script:
      - flutter test

build_linux:
    stage: build
    script:
        - flutter build linux --realease

build_apk:
    stage: build
    script:
        - flutter build apk --release